Bug 1016031 - gnome-shell eats a lot of mem
gnome-shell eats a lot of mem
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-shell (Show other bugs)
7.0
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Florian Müllner
Desktop QE
: Regression
Depends On: 960381
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-07 06:58 EDT by Petr Sklenar
Modified: 2013-10-11 04:19 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 960381
Environment:
Last Closed: 2013-10-11 04:19:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Sklenar 2013-10-07 06:58:10 EDT
+++ This bug was initially created as a clone of Bug #960381 +++

Description of problem:
gnome-shell eats a lot of mem

Version-Release number of selected component (if applicable):
todays f19 from testing repo
gnome-shell-3.8.1-2.fc19.x86_64
Linux masox.brq.x.com 3.9.0-301.fc19.x86_64 #1 SMP Mon Apr 29 13:44:05 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux


How reproducible:
once on my laptop

Steps to Reproduce:
1. lenovo t61 with 3G mem
2. install f19 in default configuration and see 
3. top
4. 
  
Actual results:
top - 15:59:54 up 22 min,  4 users,  load average: 1.80, 3.16, 2.88
Tasks: 130 total,   4 running, 126 sleeping,   0 stopped,   0 zombie
%Cpu(s): 23.3 us,  4.5 sy,  0.0 ni, 48.3 id, 23.5 wa,  0.0 hi,  0.3 si,  0.0 st
KiB Mem:   3057964 total,  2979428 used,    78536 free,      720 buffers
KiB Swap:  5193724 total,   817452 used,  4376272 free,    46372 cached

  PID USER      PR  NI    VIRT    RES    SHR S  %CPU  %MEM     TIME+ COMMAND
 2375 psklenar  20   0 4504592 2.379g   1272 R 47.82 81.58  11:43.17 gnome-shell

# gnome is too slow, unusable

Expected results:
gnome-shell eats too much of memory

Additional info:

--- Additional comment from Petr Sklenar on 2013-05-07 09:02:31 CEST ---



--- Additional comment from Petr Sklenar on 2013-05-07 09:03:08 CEST ---

/var/log/message

--- Additional comment from Fedora End Of Life on 2013-09-16 15:48:29 CEST ---

This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 2 Petr Sklenar 2013-10-07 07:01:29 EDT
t61 with 3gb mem:
rhel6 in default configuration => it works really nice
rhel7 in default configuration => no mem available, its lagging, unusable.
Comment 4 Vladimir Benes 2013-10-07 07:15:39 EDT
can you reproduce using current rhel7 version? gnome-shell-3.8.4-5.el7.x86_64

I am not seeing this now (g-s eating terrible 400MB)
Comment 5 Petr Sklenar 2013-10-11 04:19:48 EDT
Hi.

Hm, I am trying the same with the latest release of rhel7 and now its seems to be OK.

So I am sorry for making mess

Note You need to log in before you can comment on or make changes to this bug.